libnvme(2)

NAME
struct nvme_lm_io_submission_queue_data - I/O Submission Queue data structure. Fields related to the contents of Create I/O Submission Queue command that created an I/O Submission Queue.

SYNOPSIS
struct nvme_lm_io_submission_queue_data {
__le64 iosqprp1;
__le16 iosqqsize;
__le16 iosqqid;
__le16 iosqcqid;
__le16 iosqa;
__le16 iosqhp;
__le16 iosqtp;
__u8 rsvd20[4];
};

Members

iosqprp1
    I/O Submission PRP Entry 1 (IOSQPRP1)

iosqqsize
    I/O Submission Queue Size (IOSQQSIZE)

iosqqid
    I/O Submission Queue Identifier (IOSQQID)

iosqcqid
    I/O Completion Queue Identifier (IOSQCQID)

iosqa
    I/O Submission Queue Attributes (IOSQA)

iosqhp
    I/O Submission Queue Head Pointer (IOSQHP)

iosqtp
    I/O Submission Queue Tail Pointer (IOSQTP)

rsvd20
    Reserved